Subject: Offline Message from Jim: I have a Swagtron EB-5 and the battery won't hold a
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 19 Apr 2022 00:37:24 -0000

From: Jim <[email-masked]>
Phone: 2076910750
Location: Ottawa, Canada
URL: https://swagtron.com/product/eb5-replacement-battery-pack-type-b/
Department: SwagTron

I have a Swagtron EB-5 and the battery won't hold a charge.  I'm looking at the replacement batteries and I only see the removable type.  I have the B Type battery with the slots openings to the right side.  I have the battery that is screwed in, not the type with the handle to pull out.  Can I use the removable type or do you also sell the non-removable type (I don't see those on your web site).  Thanks.   

----
Zopim
https://www.zopim.com